Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class NonResizableTextEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableEditPolicyEx
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableTextEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

public class NonResizableTextEditPolicy
extends NonResizableEditPolicyEx

A non-resizable editpolicy for text compartments. It handles the selection and focus feedback of text compartments.

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`NonResizableTextEditPolicy()`

Method Summary
`protected java.util.List` `createSelectionHandles()`
`protected void` `hideFocus()`
`protected void` `hideSelection()`
`protected void` `showFocus()`
`protected void` `showPrimarySelection()`
`protected void` `showSelection()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableEditPolicyEx
`addSelectionHandles, eraseSourceFeedback, getTargetEditPart, replaceHandleDragEditPartsTracker, showChangeBoundsFeedback, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`createDragSourceFeedbackFigure, deactivate, eraseChangeBoundsFeedback, getAlignCommand, getCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getMoveCommand, getOrphanCommand, isDragAllowed, setDragAllowed, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`getAdapter, removeSelectionHandles`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonResizableTextEditPolicy

    public NonResizableTextEditPolicy()

Method Detail

### hideFocus

    protected void hideFocus()

  See Also:
    `NonResizableEditPolicy.hideFocus()`

### hideSelection

    protected void hideSelection()

  See Also:
    `SelectionHandlesEditPolicy.hideSelection()`

### showFocus

    protected void showFocus()

  See Also:
    `NonResizableEditPolicy.showFocus()`

### showPrimarySelection

    protected void showPrimarySelection()

  See Also:
    `SelectionHandlesEditPolicy.showSelection()`

### showSelection

    protected void showSelection()

  See Also:
    `SelectionHandlesEditPolicy.showSelection()`

### createSelectionHandles

    protected java.util.List createSelectionHandles()

  See Also:
    `SelectionHandlesEditPolicy.createSelectionHandles()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.